Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.factories
Class GreekAlphabetFactory

    java.lang.Object
      com.lowagie.text.factories.GreekAlphabetFactory

    public class GreekAlphabetFactory

extends Object

This class can produce String combinations representing a number built with Greek letters (from alpha to omega, then alpha alpha, alpha beta, alpha gamma). We are aware of the fact that the original Greek numbering is different; See http://www.cogsci.indiana.edu/farg/harry/lan/grknum.htm#ancient but this isn't implemented yet; the main reason being the fact that we need a font that has the obsolete Greek characters qoppa and sampi.

Since:
  2.0.7 (was called GreekNumberFactory in earlier versions)

Constructor Summary
`GreekAlphabetFactory()`

Method Summary
`static String` | `getLowerCaseString(int index)` Changes an int into a lower case Greek letter combination.
`static String` | `getString(int index)` Changes an int into a lower case Greek letter combination.
`static String` | `getString(int index, boolean lowercase)` Changes an int into a Greek letter combination.
`static String` | `getUpperCaseString(int index)` Changes an int into a upper case Greek letter combination.
`static void` | `main(String[] args)` Test this class using this main method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreekAlphabetFactory

    public GreekAlphabetFactory()

Method Detail

### getString

    public static final String getString(int index)

  Changes an int into a lower case Greek letter combination.

  Parameters:
    `index` - the original number
  Returns:
    the letter combination

### getLowerCaseString

    public static final String getLowerCaseString(int index)

  Changes an int into a lower case Greek letter combination.

  Parameters:
    `index` - the original number
  Returns:
    the letter combination

### getUpperCaseString

    public static final String getUpperCaseString(int index)

  Changes an int into a upper case Greek letter combination.

  Parameters:
    `index` - the original number
  Returns:
    the letter combination

### getString

    public static final String getString(int index,
                                         boolean lowercase)

  Changes an int into a Greek letter combination.

  Parameters:
    `index` - the original number
  Returns:
    the letter combination

### main

    public static void main(String[] args)

  Test this class using this main method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD